/*  Melodia de la serie juego de Tronos. Usamos un zumbador piezo electrico en el pin 6
 *   
*/

// libreria con las notas, convierte frequencia en nombre por ejemplo LA4, NOTE_A4 es 440Hz

#include "pitches.h"

// Notas de la cancion:

int melody[] = {
    NOTE_A4, NOTE_D4, NOTE_F4, NOTE_G4, NOTE_A4, NOTE_D4, NOTE_F4, NOTE_G4, NOTE_E4,
    NOTE_G4, NOTE_C4, NOTE_F4, NOTE_E4, NOTE_G4, NOTE_C4, NOTE_F4, NOTE_E4, NOTE_D4
   
};

// duracion notas: 1= negra 2 = blanca...

int DuracionNotas[] = {
  2, 2, 4, 4, 2, 2, 4, 4, 1, 2, 2, 4, 4, 2, 2, 4, 4, 1,
};

void setup() {
  // Notas de la melodia, :
  for (int Nota = 0; Nota < 18; Nota++) {

    // calculo de la duracin de la nota, dividimos un segundo por el tipo de nota
    
    int Duracion = 1000 / DuracionNotas[Nota];
// pin usado numero 6
    tone(6, melody[Nota], Duracion);

    // para oir bien la melodia entre notas aadimos un retardo de un 40%
    
    int pausa = Duracion * 1.40;
       delay(pausa);
    
    // Paramos la melodia
    noTone(6);
  }
}

void loop() {
  // No se repite la melodia.
}
